Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AnimableObject Class Reference

Defines an interface to classes which have one or more AnimableValue instances to expose. More...

`#include <OgreAnimable.h>`

Inheritance diagram for Ogre::AnimableObject:

[legend]
List of all members.

## Public Member Functions
| AnimableObject ()
virtual | ~AnimableObject ()
const StringVector & | getAnimableValueNames (void) const
| Gets a list of animable value names for this object.
virtual AnimableValuePtr | createAnimableValue (const String &valueName)
| Create a reference-counted AnimableValuePtr for the named value.
## Protected Types
typedef std::map< String, StringVector > | AnimableDictionaryMap
## Protected Member Functions
virtual const String & | getAnimableDictionaryName (void) const
| Get the name of the animable dictionary for this class.
void | createAnimableDictionary (void) const
| Internal method for creating a dictionary of animable value names for the class, if it does not already exist.
StringVector & | _getAnimableValueNames (void)
| Get an updateable reference to animable value list.
virtual void | initialiseAnimableDictionary (StringVector &) const
| Internal method for initialising dictionary; should be implemented by subclasses wanting to expose animable parameters.
## Static Protected Attributes
static AnimableDictionaryMap | msAnimableDictionary
| Static map of class name to list of animable value names.

## Detailed Description

Defines an interface to classes which have one or more AnimableValue instances to expose.

Definition at line 203 of file OgreAnimable.h.

## Member Typedef Documentation

typedef std::map<String, StringVector> Ogre::AnimableObject::AnimableDictionaryMap`[protected]`

| Definition at line 206 of file OgreAnimable.h.

## Constructor & Destructor Documentation

Ogre::AnimableObject::AnimableObject | ( |  | ) |

| Definition at line 256 of file OgreAnimable.h.

virtual Ogre::AnimableObject::~AnimableObject | ( |  | ) | `[virtual]`

| Definition at line 257 of file OgreAnimable.h.

## Member Function Documentation

StringVector& Ogre::AnimableObject::_getAnimableValueNames | ( | void |  | ) | `[protected]`

| Get an updateable reference to animable value list. Definition at line 232 of file OgreAnimable.h. References OGRE_EXCEPT.

void Ogre::AnimableObject::createAnimableDictionary | ( | void |  | ) | const`[protected]`

| Internal method for creating a dictionary of animable value names for the class, if it does not already exist. Definition at line 219 of file OgreAnimable.h.

virtual AnimableValuePtr Ogre::AnimableObject::createAnimableValue | ( | const String & | valueName | ) | `[virtual]`

| Create a reference-counted AnimableValuePtr for the named value. Remarks: You can use the returned object to animate a value on this object, using AnimationTrack. Subclasses must override this if they wish to support animation of their values. Reimplemented in Ogre::Light. Definition at line 285 of file OgreAnimable.h. References OGRE_EXCEPT.

virtual const String& Ogre::AnimableObject::getAnimableDictionaryName | ( | void |  | ) | const`[protected, virtual]`

| Get the name of the animable dictionary for this class. Remarks: Subclasses must override this if they want to support animation of their values. Reimplemented in Ogre::Light. Definition at line 214 of file OgreAnimable.h.

const StringVector& Ogre::AnimableObject::getAnimableValueNames | ( | void |  | ) | const

| Gets a list of animable value names for this object. Definition at line 260 of file OgreAnimable.h. References OGRE_EXCEPT.

virtual void Ogre::AnimableObject::initialiseAnimableDictionary | ( | StringVector & |  | ) | const`[protected, virtual]`

| Internal method for initialising dictionary; should be implemented by subclasses wanting to expose animable parameters. Reimplemented in Ogre::Light. Definition at line 252 of file OgreAnimable.h.

## Member Data Documentation

AnimableDictionaryMap Ogre::AnimableObject::msAnimableDictionary`[static, protected]`

| Static map of class name to list of animable value names. Definition at line 208 of file OgreAnimable.h.

The documentation for this class was generated from the following file:

- OgreAnimable.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:02 2007